Bug 846147 - [PATCH] Please adapt ldm for display manager rework feature
Summary: [PATCH] Please adapt ldm for display manager rework feature
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ldm
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Warren Togami
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F18DisplayManager
TreeView+ depends on / blocked
 
Reported: 2012-08-07 00:01 UTC by Lennart Poettering
Modified: 2015-02-17 14:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 14:23:29 UTC
Type: Bug


Attachments (Terms of Use)
proposed patch (2.87 KB, patch)
2012-08-07 11:59 UTC, Lennart Poettering
no flags Details | Diff

Description Lennart Poettering 2012-08-07 00:01:28 UTC
Heya,

please update the ldm package to follow the new logic explained in the DisplayManagerRework page:

https://fedoraproject.org/wiki/Features/DisplayManagerRework

This requires shipping a systemd unit file in the ldm package as well as changes to the .spec file.

Please ping us if you need help, or have questions.

Note that this is an accepted F18 feature, we'd be thankful if you could complete this update in time for the F18 release.

Comment 1 Lennart Poettering 2012-08-07 11:59:51 UTC
Created attachment 602727 [details]
proposed patch

This adds the service file and hooks it up in the .spec file.

Comment 2 Lennart Poettering 2012-08-08 15:34:52 UTC
We will shortly upload a new version of systemd to F18, which removes support for prefdm. This means that ldm will not work on F18 anymore until this bug is fixed.

Comment 3 Lennart Poettering 2012-08-08 21:18:28 UTC
A new systemd version without prefdm has now been uploaded to F18. This means ldm is now broken on F18 until this bug is fixed. Please update your packages! Thanks!

Comment 4 Fedora End Of Life 2013-04-03 18:00:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 5 Fedora End Of Life 2015-01-09 17:18:06 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-02-17 14:23:29 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.